# entityDuplicate

Create a duplicate of an entity

**Scope required:** admin:write

```graphql
mutation entityDuplicate ($id: ID!) {
  entityDuplicate (id: $id) {
      entity {
        abbreviation
        accentColor
        baseCurrencyId
        billingCity
        billingCountry
        billingState
        billingStreet
        billingZip
        brandColor
        createdAt
        customerServiceEmail
        emailBody
        emailSenderName
        emailSubject
        emailTemplate
        fax
        fiscalYearStartMonth
        hideZeroQuoteCharges
        id
        invoiceNumberPrefix
        invoiceNumberSeq
        invoicesImageUrl
        isDefault
        name
        phone
        privacyUrl
        quoteNumberPrefix
        quoteNumberSeq
        quotesImageUrl
        refundPolicyUrl
        taxId
        termsUrl
        timezone
        topNavImageUrl
        tzIdentifier
        tzOffset
        updatedAt
        website
      }
      errors
  }
}
```

## Arguments

```json
{
  "id": "456123"
}
```

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

| Name   | Type                                               | Description |
| ------ | -------------------------------------------------- | ----------- |
| entity | [Entity](/developer/api-reference/types/entity.md) |             |
| errors | List (String)                                      |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/entityduplicate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
